Установка актуальной версии Ansible на Debian 11 Bullseye

Опишу как выполнить установку последний версии Ansible из исходников на Debian 11 Bullseye.
Официальный репозиторий Ansible — https://github.com/ansible/ansible

Для работы последних версий Ansible  требуется версия Python 3.10 и старше. Как поставить последнюю версию Python на Debian можно по этой статье.

 

Установка

# Выполняем установку Ansible при помощи pip для всех пользователей системы:

python3 -m pip install ansible

# Проверить результат установки можно командой:

ansible --version
ansible [core 2.15.2]
  config file = None
  configured module search path = ['/root/.ansible/plugins/modules', '/usr/share/ansible/plugins/modules']
  ansible python module location = /usr/lib/python3.11/site-packages/ansible
  ansible collection location = /root/.ansible/collections:/usr/share/ansible/collections
  executable location = /usr/bin/ansible
  python version = 3.11.4 (main, Aug  2 2023, 16:54:45) [GCC 10.2.1 20210110] (/usr/bin/python3)
  jinja version = 3.1.2
  libyaml = True

 

# Добавление поддержки WinRM, установим пакет pywinrm.

python3 -m pip install "pywinrm>=0.3.0"

# Устанавливаем коллекцию Windows плагинов в ansible-core.

ansible-galaxy collection install ansible.windows --collections-path=/usr/share/ansible/collections
ИНФОРМАЦИЯ. Подробная информация по работе с WinRM  и Windows Plugins
— https://docs.ansible.com/ansible/latest/os_guide/windows_winrm.html
https://docs.ansible.com/ansible/latest/collections/ansible/windows/index.html

 

Обновление

# Для обновления Ansible выполняем команду:

python3 -m pip install --upgrade ansible

 

Удаление

# Удаление Ansible выполняется командой:

python3 -m pip uninstall ansible
 

ПОНРАВИЛАСЬ ИЛИ ОКАЗАЛАСЬ ПОЛЕЗНОЙ СТАТЬЯ, ПОБЛАГОДАРИ АВТОРА

Оставьте комментарий

12 + 19 =